﻿using System;
using AStarLogic;

namespace AStarConsoleExample
{
    class Program
    {
        static void Main(string[] args)
        {
            int[,] _karta =
            {
                {1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1},
                {1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1},
                {1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1},
                {1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1},
                {1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1},
                {1, 0, 1, 1, 1, 1, 1, 0, 1, 0, 0, 1},
                {1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1},
                {1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}
            };

            var map = new Map(_karta);
            map.SetStart(2, 2);
            map.SetStop(9, 2);
            map.MoveFromTo();
            map.PlotRoute();
            Draw(map);

            Console.ReadKey();
        }

        static void Draw(Map map)
        {
            for (var y = 0; y < map.SizeY; y++)
            {
                for (var x = 0; x < map.SizeX; x++)
                {
                    switch (map.MapData[y, x].Type)
                    {
                        case MapType.Nothing:
                            Console.Write(" ");
                            break;
                        case MapType.Wall:
                            Console.Write("#");
                            break;
                        case MapType.Route:
                            Console.Write("*");
                            break;
                        case MapType.Start:
                            Console.Write("F");
                            break;
                        case MapType.Stop:
                            Console.Write("T");
                            break;
                    }
                }
                Console.WriteLine();
            }
        }
    }
}
